# pyclock

Seven segment display digital clock using tkinter.


## Requirements

- [Python >= 2.7](https://www.python.org/downloads/)
- Tkinter (Should be installed during Python installation)


## Installation

Clone the project into a local repository, then navigate to the directory and
run:

```
$ python setup.py install
```

## Usage

```python
import pyclock

if __name__ == '__main__':
    pyclock.PyClock()
```


## Troubleshooting

Should you run into any issues, refer to the project https://gitlab.com/johncharlie/digitalclock


## Documentation

Documentation follows the
[Google Python Style Guide](https://google.github.io/styleguide/pyguide.html)


## Testing

To run tests, execute the following:

```
# Unit tests
$ python setup.py test

```


## License

```
Copyright 2018 @johncharlie

Licensed under the GNU General Public License v3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0.en.html

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

See terms and conditions [here](./LICENSE.md).
